package de.jottyfan.bico.modules.item.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author jotty
 *
 */
public class LessonBean implements Serializable {

	private static final long serialVersionUID = 1L;

	private String lessonNote;
	private List<PersonBean> persons;
	private List<SubjectBean> subjects;

	public LessonBean() {
		persons = new ArrayList<>();
		subjects = new ArrayList<>();
	}

	public static final LessonBean of(String lessonNote, PersonBean persons, SubjectBean subject) {
		LessonBean bean = new LessonBean();
		bean.getPersons().add(persons);
		bean.getSubjects().add(subject);
		return bean;
	}

	/**
	 * @return the lessonNote
	 */
	public String getLessonNote() {
		return lessonNote;
	}

	/**
	 * @param lessonNote the lessonNote to set
	 */
	public void setLessonNote(String lessonNote) {
		this.lessonNote = lessonNote;
	}

	/**
	 * @return the persons
	 */
	public List<PersonBean> getPersons() {
		return persons;
	}

	/**
	 * @return the subjects
	 */
	public List<SubjectBean> getSubjects() {
		return subjects;
	}
}
